package com.yonge.cooleshow.payment.controller;

import com.huifu.adapay.core.AdapayCore;
import com.huifu.adapay.core.util.AdapaySign;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

/**
 * @Author: liweifan
 * @Data: 2022/3/11 18:16
 */
@RestController
@RequestMapping("/payment")
@Api(value = "付款接口", tags = "付款接口")
public class PaymentController {

    @PostMapping("/orderPay")
    public void orderPay() {

    }

    /***
     * 汇付回调
     * 问题：1、成功失败需要回执什么信息 2、回调url地址是否需要加入白名单
     * @author liweifan
     * @param: request
     * @updateTime 2022/3/11 18:35
     */
    @PostMapping("/callback")
    public void callback(HttpServletRequest request) {
        try {
            //验签传参data
            String data = request.getParameter("data");
            //验签传参sign
            String sign = request.getParameter("sign");
            //验签标记
            boolean checkSign;
            //验签传参publicKey
            String publicKey = AdapayCore.PUBLIC_KEY;
            //验签
            checkSign = AdapaySign.verifySign(data, sign, publicKey);
            if(checkSign){
                //验签成功逻辑
                System.out.println("成功返回数据data:"+data);
            }else {
                //验签失败逻辑
            }
        }catch (Exception e){
        }
        return ;
    }
}
