package com.yonge.cooleshow.biz.dal.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.yonge.cooleshow.auth.api.entity.SysRole;
import com.yonge.cooleshow.auth.api.entity.SysUser;
import com.yonge.cooleshow.biz.dal.entity.Employee;
import com.yonge.cooleshow.common.dal.BaseDAO;

public interface EmployeeDao extends BaseDAO<Long, Employee> {

    /**
     * 修改密码
     *
     * @param userID
     * @param password
     */
    void updatePassword(@Param("userID") Long userID, @Param("password") String password);

    /**
     * @Author: Joburgess
     * @Date: 2019/9/17
     * 修改用户账户锁定状态
     */
    int updateUserLockStatus(@Param("userID") Long userID);


    void updateUserLock(@Param("userID") Long userID, @Param("status") int status);

    /**
     * @Author: Joburgess
     * @Date: 2019/9/25
     * 修改用户离职日期
     */
    int updateUserDemissionDate(@Param("userID") Long userID);

    /**
     * 根据手机号查询对象
     *
     * @param phone
     * @return
     */
    SysUser queryByPhone(String phone);

    /**
     * 删除用户角色
     *
     * @param userId
     */
    void delEmployeeRole(Long userId);

    /**
     * 批量新增用户角色
     *
     * @param id
     * @param roleIds
     */
    void batchAddEmployeeRole(@Param("userId") Long id, @Param("roleIds") List<Integer> roleIds);

    /**
     * 获取用户权限列表
     *
     * @param userId
     * @return
     */
    List<Long> queryUserRole(Long userId);

    /**
     * 获取用户信息
     *
     * @param userIds
     * @return
     */
    List<SysUser> getUsers(@Param("userIds") List<Long> userIds);

    /**
     * 批量添加角色和菜单关系
     *
     * @param roleId  角色id
     * @param menuIds 菜单集合
     */
    int batchInsertRoleMenu(@Param("roleId") Long roleId, @Param("menuIds") List<Integer> menuIds);

    /**
     * 根据机构id，和菜单id删除
     */
    int delRoleMenu(@Param("menuIds") List<Integer> menuIds);

    /**
     * 添加角色信息
     *
     * @param sysRole
     * @return
     */
    int insertSysRole(SysRole sysRole);

}
