package com.yonge.cooleshow.biz.dal.dao;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yonge.cooleshow.biz.dal.dto.req.TeacherApplyDetailReq;
import com.yonge.cooleshow.biz.dal.dto.search.TeacherAuthEntryRecordSearch;
import com.yonge.cooleshow.biz.dal.entity.TeacherAuthEntryRecord;
import com.yonge.cooleshow.biz.dal.vo.TeacherAuthEntryRecordVo;
import org.apache.ibatis.annotations.Param;

public interface TeacherAuthEntryRecordDao extends BaseMapper<TeacherAuthEntryRecord>{

	/**
	 * 自定义分页
	 */
	List<TeacherAuthEntryRecordVo> selectPage(IPage page,@Param("param") TeacherAuthEntryRecordSearch search);

	/***
	 * 修改用户实名信息
	 * @author liweifan
	 * @param: teacherApplyDetailDto
	 * @updateTime 2022/3/18 15:57
	 * @return: java.lang.Integer
	 */
	Integer updateUserCard(@Param("param") TeacherApplyDetailReq teacherApplyDetailDto);

	/***
	 * 根据老师id查询详情
	 * @author liweifan
	 * @param: id
	 * @updateTime 2022/3/21 13:43
	 * @return: com.yonge.cooleshow.biz.dal.vo.TeacherAuthEntryRecordVo
	 */
    TeacherAuthEntryRecordVo detail(@Param("id") Long id);
}