package com.yonge.cooleshow.biz.dal.dao;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yonge.cooleshow.biz.dal.dto.req.TeacherSetReq;
import com.yonge.cooleshow.biz.dal.entity.Teacher;
import com.yonge.cooleshow.biz.dal.vo.TeacherVo;
import org.apache.ibatis.annotations.Param;

public interface TeacherDao extends BaseMapper<Teacher> {

    /**
     * 自定义分页
     */
    List<Teacher> selectPage(@Param("page") IPage page, @Param("param") Teacher teacher);

    /***
     * 查询老师设置详情
     * @author liweifan
     * @param: id
     * @updateTime 2022/3/22 10:24
     * @return: com.yonge.cooleshow.biz.dal.vo.TeacherVo
     */
    TeacherVo getSetDetail(@Param("id") Long id);

    /***
     * 修改老师设置信息
     * @author liweifan
     * @param: setReq
     * @param: id
     * @updateTime 2022/3/22 11:06
     */
    void updatetSetDetail(@Param("param") TeacherSetReq setReq, @Param("id") Long id);
}