package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

import org.springframework.format.annotation.DateTimeFormat;

/**
 * 教师表
 */
@TableName("teacher")
@ApiModel(value = "Teacher对象", description = "教师表")
public class Teacher implements Serializable {
	private static final long serialVersionUID = 1L;
    /** 
    * 对应user表用户编号 
    */
    @ApiModelProperty("对应user表用户编号 ")
    @TableId(value = "user_id_", type = IdType.UUID)
    private Long userId;
    /** 
    * 学历 
    */
    @ApiModelProperty("学历 ")
	@TableField(value = "education_background_")
    private String educationBackground;
    /** 
    * 毕业学校 
    */
    @ApiModelProperty("毕业学校 ")
	@TableField(value = "graduate_school_")
    private String graduateSchool;
    /** 
    * 技术职称 
    */
    @ApiModelProperty("技术职称 ")
	@TableField(value = "technical_titles_")
    private String technicalTitles;
    /** 
    * 工作单位 
    */
    @ApiModelProperty("工作单位 ")
	@TableField(value = "work_unit_")
    private String workUnit;
    /** 
    * 专业技能（支持多个，用逗号分隔），对应科目表编号 
    */
    @ApiModelProperty("专业技能（支持多个，用逗号分隔），对应科目表编号 ")
	@TableField(value = "subject_id_")
    private String subjectId;
    /** 
    * 老师入驻状态  1、审核中 2、通过 3、不通过 
    */
    @ApiModelProperty("老师入驻状态  1、审核中 2、通过 3、不通过 ")
	@TableField(value = "entry_status_")
    private Integer entryStatus;
    /** 
    * 入驻时间 
    */
    @ApiModelProperty("入驻时间 ")
	@TableField(value = "entry_auth_date_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date entryAuthDate;
    /** 
    * 个人介绍 
    */
    @ApiModelProperty("个人介绍 ")
	@TableField(value = "introduction_")
    private String introduction;
    /** 
    * 音乐人审核状态   1、审核中 2、通过 3、不通过 
    */
    @ApiModelProperty("音乐人审核状态   1、审核中 2、通过 3、不通过 ")
	@TableField(value = "musician_auth_status_")
    private Integer musicianAuthStatus;
    /** 
    * 音乐人认证时间 
    */
    @ApiModelProperty("音乐人认证时间 ")
	@TableField(value = "musician_date_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date musicianDate;
    /** 
    * 学校专业 
    */
    @ApiModelProperty("学校专业 ")
	@TableField(value = "subject_")
    private String subject;
    /** 
    * 毕业证书 
    */
    @ApiModelProperty("毕业证书 ")
	@TableField(value = "grad_certificate_")
    private String gradCertificate;
    /** 
    * 学位证书 
    */
    @ApiModelProperty("学位证书 ")
	@TableField(value = "degree__certificate_")
    private String degreeCertificate;
    /** 
    * 教师资格证 
    */
    @ApiModelProperty("教师资格证 ")
	@TableField(value = "teacher__certificate_")
    private String teacherCertificate;
    /** 
    * 备注 
    */
    @ApiModelProperty("备注 ")
	@TableField(value = "memo_")
    private String memo;
	@TableField(value = "create_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;
	@TableField(value = "update_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date updateTime;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getEducationBackground() {
        return educationBackground;
    }

    public void setEducationBackground(String educationBackground) {
        this.educationBackground = educationBackground;
    }

    public String getGraduateSchool() {
        return graduateSchool;
    }

    public void setGraduateSchool(String graduateSchool) {
        this.graduateSchool = graduateSchool;
    }

    public String getTechnicalTitles() {
        return technicalTitles;
    }

    public void setTechnicalTitles(String technicalTitles) {
        this.technicalTitles = technicalTitles;
    }

    public String getWorkUnit() {
        return workUnit;
    }

    public void setWorkUnit(String workUnit) {
        this.workUnit = workUnit;
    }

    public String getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(String subjectId) {
        this.subjectId = subjectId;
    }

    public Integer getEntryStatus() {
        return entryStatus;
    }

    public void setEntryStatus(Integer entryStatus) {
        this.entryStatus = entryStatus;
    }

    public Date getEntryAuthDate() {
        return entryAuthDate;
    }

    public void setEntryAuthDate(Date entryAuthDate) {
        this.entryAuthDate = entryAuthDate;
    }

    public String getIntroduction() {
        return introduction;
    }

    public void setIntroduction(String introduction) {
        this.introduction = introduction;
    }

    public Integer getMusicianAuthStatus() {
        return musicianAuthStatus;
    }

    public void setMusicianAuthStatus(Integer musicianAuthStatus) {
        this.musicianAuthStatus = musicianAuthStatus;
    }

    public Date getMusicianDate() {
        return musicianDate;
    }

    public void setMusicianDate(Date musicianDate) {
        this.musicianDate = musicianDate;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getGradCertificate() {
        return gradCertificate;
    }

    public void setGradCertificate(String gradCertificate) {
        this.gradCertificate = gradCertificate;
    }

    public String getDegreeCertificate() {
        return degreeCertificate;
    }

    public void setDegreeCertificate(String degreeCertificate) {
        this.degreeCertificate = degreeCertificate;
    }

    public String getTeacherCertificate() {
        return teacherCertificate;
    }

    public void setTeacherCertificate(String teacherCertificate) {
        this.teacherCertificate = teacherCertificate;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}