package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import java.math.BigDecimal;

/**
 * 老师账户流水表
 */
@TableName("user_account_record")
@ApiModel(value = "UserAccountRecord对象", description = "老师账户流水表")
public class UserAccountRecord implements Serializable {
	private static final long serialVersionUID = 1L;
    /** 
    * 用户表id 
    */
    @ApiModelProperty("用户表id ")
    @TableId(value = "id_", type = IdType.UUID)
    private Long id;
    /** 
    * 交易金额 
    */
    @ApiModelProperty("交易金额 ")
	@TableField(value = "trans_amount_")
    private BigDecimal transAmount;
    /** 
    * 账户余额 
    */
    @ApiModelProperty("账户余额 ")
	@TableField(value = "account_balance_")
    private BigDecimal accountBalance;
    /** 
    * 收支类型：1、收入 2、支出 
    */
    @ApiModelProperty("收支类型：1、收入 2、支出 ")
	@TableField(value = "in_or_out_")
    private Integer inOrOut;
    /** 
    * 业务类型：1、陪练课 2、直播课 3、乐谱 4、提现 
    */
    @ApiModelProperty("业务类型：1、陪练课 2、直播课 3、乐谱 4、提现 ")
	@TableField(value = "biz_type_")
    private Integer bizType;
    /** 
    * 业务id 
    */
    @ApiModelProperty("业务id ")
	@TableField(value = "biz_id_")
    private Long bizId;
    /** 
    * 业务名称 
    */
    @ApiModelProperty("业务名称 ")
	@TableField(value = "biz_name_")
    private String bizName;
    /** 
    * 订单id 
    */
    @ApiModelProperty("订单id ")
	@TableField(value = "order_id_")
    private Long orderId;
    /** 
    * 创建时间 
    */
    @ApiModelProperty("创建时间 ")
	@TableField(value = "create_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public BigDecimal getTransAmount() {
        return transAmount;
    }

    public void setTransAmount(BigDecimal transAmount) {
        this.transAmount = transAmount;
    }

    public BigDecimal getAccountBalance() {
        return accountBalance;
    }

    public void setAccountBalance(BigDecimal accountBalance) {
        this.accountBalance = accountBalance;
    }

    public Integer getInOrOut() {
        return inOrOut;
    }

    public void setInOrOut(Integer inOrOut) {
        this.inOrOut = inOrOut;
    }

    public Integer getBizType() {
        return bizType;
    }

    public void setBizType(Integer bizType) {
        this.bizType = bizType;
    }

    public Long getBizId() {
        return bizId;
    }

    public void setBizId(Long bizId) {
        this.bizId = bizId;
    }

    public String getBizName() {
        return bizName;
    }

    public void setBizName(String bizName) {
        this.bizName = bizName;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public String toString() {
        return "UserAccountRecord{" +
				"id=" + id +
						",transAmount='" + transAmount + "'" + 
						",accountBalance='" + accountBalance + "'" + 
						",inOrOut='" + inOrOut + "'" + 
						",bizType='" + bizType + "'" + 
						",bizId='" + bizId + "'" + 
						",bizName='" + bizName + "'" + 
						",orderId='" + orderId + "'" + 
						",createTime='" + createTime + "'" + 
		                '}';
    }
	
}