package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 老师绑卡记录表
 */
@TableName("user_bank_card")
@ApiModel(value = "UserBankCard对象", description = "老师绑卡记录表")
public class UserBankCard implements Serializable {
	private static final long serialVersionUID = 1L;
    /** 
    * id 
    */
    @ApiModelProperty("id ")
    @TableId(value = "id_", type = IdType.UUID)
    private Long id;
    /** 
    * 用户表id 
    */
    @ApiModelProperty("用户表id ")
	@TableField(value = "user_id_")
    private Long userId;
    /** 
    * 持卡人姓名 
    */
    @ApiModelProperty("持卡人姓名 ")
	@TableField(value = "name_")
    private String name;
    /** 
    * 开户行 
    */
    @ApiModelProperty("开户行 ")
	@TableField(value = "bank_name_")
    private String bankName;
    /** 
    * 银行卡号 
    */
    @ApiModelProperty("银行卡号 ")
	@TableField(value = "bank_card_")
    private String bankCard;
    /** 
    * 银行预留手机号 
    */
    @ApiModelProperty("银行预留手机号 ")
	@TableField(value = "phone_")
    private String phone;
    /** 
    * 开户行编码 
    */
    @ApiModelProperty("开户行编码 ")
	@TableField(value = "bank_code_")
    private String bankCode;
    /** 
    * 逻辑删除 
    */
    @ApiModelProperty("逻辑删除 ")
	@TableField(value = "del_flag_")
    @TableLogic
    private Byte delFlag;
    /** 
    * 是否默认 
    */
    @ApiModelProperty("是否默认 ")
	@TableField(value = "is_default_")
    private Byte isDefault;
    /** 
    * 创建时间 
    */
    @ApiModelProperty("创建时间 ")
	@TableField(value = "create_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;
    /** 
    * 更新时间 
    */
    @ApiModelProperty("更新时间 ")
	@TableField(value = "update_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date updateTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getBankName() {
        return bankName;
    }

    public void setBankName(String bankName) {
        this.bankName = bankName;
    }

    public String getBankCard() {
        return bankCard;
    }

    public void setBankCard(String bankCard) {
        this.bankCard = bankCard;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getBankCode() {
        return bankCode;
    }

    public void setBankCode(String bankCode) {
        this.bankCode = bankCode;
    }

    public Byte getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Byte delFlag) {
        this.delFlag = delFlag;
    }

    public Byte getIsDefault() {
        return isDefault;
    }

    public void setIsDefault(Byte isDefault) {
        this.isDefault = isDefault;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        return "UserBankCard{" +
				"id=" + id +
						",userId='" + userId + "'" + 
						",name='" + name + "'" + 
						",bankName='" + bankName + "'" + 
						",bankCard='" + bankCard + "'" + 
						",phone='" + phone + "'" + 
						",bankCode='" + bankCode + "'" + 
						",delFlag='" + delFlag + "'" + 
						",isDefault='" + isDefault + "'" + 
						",createTime='" + createTime + "'" + 
						",updateTime='" + updateTime + "'" + 
		                '}';
    }
	
}