package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 视频课学员评价
 */
@TableName("video_lesson_evaluate")
@ApiModel(value = "VideoLessonEvaluate对象", description = "视频课学员评价")
public class VideoLessonEvaluate implements Serializable {
	private static final long serialVersionUID = 1L;
    /** 
    * 主键 
    */
    @ApiModelProperty("主键 ")
    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;
    /** 
    * 视频ID 
    */
    @ApiModelProperty("视频ID ")
	@TableField(value = "video_id_")
    private Long videoId;
    /** 
    * 学生ID 
    */
    @ApiModelProperty("学生ID ")
	@TableField(value = "student_id_")
    private Long studentId;
    /** 
    * 评价内容 
    */
    @ApiModelProperty("评价内容 ")
	@TableField(value = "content_")
    private String content;
    /** 
    * 评价时间 
    */
    @ApiModelProperty("评价时间 ")
	@TableField(value = "evaluate_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date evaluateTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getVideoId() {
        return videoId;
    }

    public void setVideoId(Long videoId) {
        this.videoId = videoId;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Date getEvaluateTime() {
        return evaluateTime;
    }

    public void setEvaluateTime(Date evaluateTime) {
        this.evaluateTime = evaluateTime;
    }

    @Override
    public String toString() {
        return "VideoLessonEvaluate{" +
				"id=" + id +
						",videoId='" + videoId + "'" + 
						",studentId='" + studentId + "'" + 
						",content='" + content + "'" + 
						",evaluateTime='" + evaluateTime + "'" + 
		                '}';
    }
	
}