package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 视频课基本信息表
 */
@TableName("video_lesson_group")
@ApiModel(value = "VideoLessonGroup对象", description = "视频课基本信息表")
public class VideoLessonGroup implements Serializable {
	private static final long serialVersionUID = 1L;
    /** 
    * 主键 
    */
    @ApiModelProperty("主键 ")
    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;
    /** 
    * 课程名称 
    */
    @ApiModelProperty("课程名称 ")
	@TableField(value = "lesson_name_")
    private String lessonName;
    /** 
    * 课程声部 
    */
    @ApiModelProperty("课程声部 ")
	@TableField(value = "lesson_subject_")
    private String lessonSubject;
    /** 
    * 课程介绍 
    */
    @ApiModelProperty("课程介绍 ")
	@TableField(value = "lesson_desc_")
    private String lessonDesc;
    /** 
    * 课程价格 
    */
    @ApiModelProperty("课程价格 ")
	@TableField(value = "lesson_price_")
    private Integer lessonPrice;
    /** 
    * 课程封面图片URL 
    */
    @ApiModelProperty("课程封面图片URL ")
	@TableField(value = "lesson_cover_url_")
    private String lessonCoverUrl;
    /** 
    * 老师ID 
    */
    @ApiModelProperty("老师ID ")
	@TableField(value = "teacher_id_")
    private Long teacherId;
    /** 
    * 课程节数 
    */
    @ApiModelProperty("课程节数 ")
	@TableField(value = "lesson_count_")
    private Integer lessonCount;
    /** 
    * 排序号 
    */
    @ApiModelProperty("排序号 ")
	@TableField(value = "sort_number_")
    private Integer sortNumber;
    /** 
    * 课程标签 
    */
    @ApiModelProperty("课程标签 ")
	@TableField(value = "lesson_tag_")
    private String lessonTag;
    /** 
    * 是否置顶 
    */
    @ApiModelProperty("是否置顶 ")
	@TableField(value = "top_flag_")
    private Byte topFlag;
    /** 
    * 是否热门课程 
    */
    @ApiModelProperty("是否热门课程 ")
	@TableField(value = "hot_flag_")
    private Byte hotFlag;
    /** 
    * 审核状态 
    */
    @ApiModelProperty("审核状态 ")
	@TableField(value = "audit_status_")
    private Byte auditStatus;
    /** 
    * 创建时间 
    */
    @ApiModelProperty("创建时间 ")
	@TableField(value = "create_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;
    /** 
    * 更新时间 
    */
    @ApiModelProperty("更新时间 ")
	@TableField(value = "update_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date updateTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getLessonName() {
        return lessonName;
    }

    public void setLessonName(String lessonName) {
        this.lessonName = lessonName;
    }

    public String getLessonSubject() {
        return lessonSubject;
    }

    public void setLessonSubject(String lessonSubject) {
        this.lessonSubject = lessonSubject;
    }

    public String getLessonDesc() {
        return lessonDesc;
    }

    public void setLessonDesc(String lessonDesc) {
        this.lessonDesc = lessonDesc;
    }

    public Integer getLessonPrice() {
        return lessonPrice;
    }

    public void setLessonPrice(Integer lessonPrice) {
        this.lessonPrice = lessonPrice;
    }

    public String getLessonCoverUrl() {
        return lessonCoverUrl;
    }

    public void setLessonCoverUrl(String lessonCoverUrl) {
        this.lessonCoverUrl = lessonCoverUrl;
    }

    public Long getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Long teacherId) {
        this.teacherId = teacherId;
    }

    public Integer getLessonCount() {
        return lessonCount;
    }

    public void setLessonCount(Integer lessonCount) {
        this.lessonCount = lessonCount;
    }

    public Integer getSortNumber() {
        return sortNumber;
    }

    public void setSortNumber(Integer sortNumber) {
        this.sortNumber = sortNumber;
    }

    public String getLessonTag() {
        return lessonTag;
    }

    public void setLessonTag(String lessonTag) {
        this.lessonTag = lessonTag;
    }

    public Byte getTopFlag() {
        return topFlag;
    }

    public void setTopFlag(Byte topFlag) {
        this.topFlag = topFlag;
    }

    public Byte getHotFlag() {
        return hotFlag;
    }

    public void setHotFlag(Byte hotFlag) {
        this.hotFlag = hotFlag;
    }

    public Byte getAuditStatus() {
        return auditStatus;
    }

    public void setAuditStatus(Byte auditStatus) {
        this.auditStatus = auditStatus;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        return "VideoLessonGroup{" +
				"id=" + id +
						",lessonName='" + lessonName + "'" + 
						",lessonSubject='" + lessonSubject + "'" + 
						",lessonDesc='" + lessonDesc + "'" + 
						",lessonPrice='" + lessonPrice + "'" + 
						",lessonCoverUrl='" + lessonCoverUrl + "'" + 
						",teacherId='" + teacherId + "'" + 
						",lessonCount='" + lessonCount + "'" + 
						",sortNumber='" + sortNumber + "'" + 
						",lessonTag='" + lessonTag + "'" + 
						",topFlag='" + topFlag + "'" + 
						",hotFlag='" + hotFlag + "'" + 
						",auditStatus='" + auditStatus + "'" + 
						",createTime='" + createTime + "'" + 
						",updateTime='" + updateTime + "'" + 
		                '}';
    }
	
}