package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 会员卡表
 */
@TableName("vip_card")
@ApiModel(value = "VipCard对象", description = "会员卡表")
public class VipCard implements Serializable {
	private static final long serialVersionUID = 1L;
    /** 
    * 会员卡id 
    */
    @ApiModelProperty("会员卡id ")
    @TableId(value = "id_", type = IdType.UUID)
    private Long id;
    /** 
    * 用户id 
    */
    @ApiModelProperty("用户id ")
	@TableField(value = "user_id_")
    private Long userId;
    /** 
    * 订单id 
    */
    @ApiModelProperty("订单id ")
	@TableField(value = "order_id_")
    private Long orderId;
    /** 
    * 时长类型：1、月卡 2、季卡 3、年卡 
    */
    @ApiModelProperty("时长类型：1、月卡 2、季卡 3、年卡 ")
	@TableField(value = "time_type_")
    private Integer timeType;
    /** 
    * 会员卡开始时间 
    */
    @ApiModelProperty("会员卡开始时间 ")
	@TableField(value = "start_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date startTime;
    /** 
    * 创建时间 
    */
    @ApiModelProperty("创建时间 ")
	@TableField(value = "create_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;
    /** 
    * 更新时间 
    */
    @ApiModelProperty("更新时间 ")
	@TableField(value = "update_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date updateTime;
    /** 
    * 会员卡结束时间 
    */
    @ApiModelProperty("会员卡结束时间 ")
	@TableField(value = "end_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date endTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public Integer getTimeType() {
        return timeType;
    }

    public void setTimeType(Integer timeType) {
        this.timeType = timeType;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    @Override
    public String toString() {
        return "VipCard{" +
				"id=" + id +
						",userId='" + userId + "'" + 
						",orderId='" + orderId + "'" + 
						",timeType='" + timeType + "'" + 
						",startTime='" + startTime + "'" + 
						",createTime='" + createTime + "'" + 
						",updateTime='" + updateTime + "'" + 
						",endTime='" + endTime + "'" + 
		                '}';
    }
	
}