package com.yonge.cooleshow.biz.dal.service;

import java.util.List;
import java.util.Map;

import com.yonge.cooleshow.biz.dal.entity.Subject;
import com.yonge.cooleshow.biz.dal.queryInfo.SubjectQueryInfo;
import com.yonge.cooleshow.biz.dal.vo.SubjectSelectVo;
import com.yonge.cooleshow.common.page.PageInfo;
import com.yonge.cooleshow.common.service.BaseService;

public interface SubjectService extends BaseService<Long, Subject> {

	/**
	 * 分页查询科目树状列表
	 *
	 * @param queryInfo
	 * @return
	 */
	PageInfo<Subject> queryPageTree(SubjectQueryInfo queryInfo);

	/**
	 * 修改、新增科目树状列表
	 *
	 * @param subject
	 */
	void upSetSubject(Subject subject);

	List<Subject> findBySubjectByIdList(List<Long> subjectIdList);

	List<Subject> findBySubjectByIdList(String subjectIdList);

	/***
	 * 查询科目选择框
	 * @author liweifan
	 * @updateTime 2022/3/21 17:23
	 * @return: java.util.List<com.yonge.cooleshow.biz.dal.vo.SubjectSelectVo>
	 */
	List<SubjectSelectVo> subjectSelect();
}
