package com.yonge.cooleshow.biz.dal.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yonge.cooleshow.biz.dal.entity.TeacherAuthMusicianRecord;
import com.yonge.cooleshow.common.entity.HttpResponseResult;

/**
 * 老师音乐人审核表 服务类
 * @author liweifan
 * @date 2022-03-18
 */
public interface TeacherAuthMusicianRecordService extends IService<TeacherAuthMusicianRecord>  {


    /**
     * 自定义分页
     * @author liweifan
 	 * @date 2022-03-18
     */
    IPage<TeacherAuthMusicianRecord> selectPage(IPage<TeacherAuthMusicianRecord> page, TeacherAuthMusicianRecord teacherAuthMusicianRecord);

    /***
     * 获取音乐人认证状态
     * @author liweifan
     * @param: id
     * @updateTime 2022/3/21 19:27
     * @return: java.lang.Integer
     */
    Integer getMusicianAuthStatus(Long id);
    /***
     * 提交音乐人审批申请
     * @author liweifan
     * @param: id
     * @updateTime 2022/3/21 19:39
     * @return: com.yonge.cooleshow.common.entity.HttpResponseResult<java.lang.Boolean>
     */
    HttpResponseResult<Boolean> doApply(Long id);
}