package com.yonge.cooleshow.biz.dal.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.authentication.LockedException;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.yonge.cooleshow.auth.api.client.SysUserFeignService;
import com.yonge.cooleshow.auth.api.entity.SysRole;
import com.yonge.cooleshow.biz.dal.dao.EmployeeDao;
import com.yonge.cooleshow.biz.dal.dao.TeacherDao;
import com.yonge.cooleshow.biz.dal.entity.Employee;
import com.yonge.cooleshow.biz.dal.service.EmployeeService;
import com.yonge.cooleshow.common.dal.BaseDAO;
import com.yonge.cooleshow.common.service.impl.BaseServiceImpl;

@Service
public class EmployeeServiceImpl extends BaseServiceImpl<Long, Employee> implements EmployeeService {

    @Autowired
    private EmployeeDao employeeDao;
    private SysUserFeignService sysUserFeignService;
    @Autowired
    private TeacherDao teacherDao;

    @Override
    public BaseDAO<Long, Employee> getDAO() {
        return employeeDao;
    }

    public static void checkTenantId(Integer tenantId, Integer targetTenantId) {
        //如果机构不一致，不允许跨机构注册
        if (tenantId != null && tenantId != 0 && !tenantId.equals(targetTenantId)) {
            throw new LockedException("用户已注册");
        }
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void add(Employee employee) {

    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void updateEmployee(Employee employee) {

    }

    @Override
    public List<Long> queryUserRole(Long sysUserId) {
        return employeeDao.queryUserRole(sysUserId);
    }

    /**
     * 批量添加角色和菜单关系
     *
     * @param roleId  角色id
     * @param menuIds 菜单集合
     */
    @Override
    public int batchInsertRoleMenu(Long roleId, List<Integer> menuIds) {
        return employeeDao.batchInsertRoleMenu(roleId, menuIds);
    }

    /**
     * 添加角色信息
     *
     * @param sysRole
     */
    @Override
    public int insertSysRole(SysRole sysRole) {
        return employeeDao.insertSysRole(sysRole);
    }

}
