package com.yonge.cooleshow.teacher.controller;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.yonge.cooleshow.biz.dal.queryInfo.SubjectQueryInfo;
import com.yonge.cooleshow.biz.dal.service.SubjectService;
import com.yonge.cooleshow.biz.dal.vo.SubjectSelectVo;
import com.yonge.cooleshow.common.controller.BaseController;
import com.yonge.cooleshow.common.entity.HttpResponseResult;

@RequestMapping("subject")
@Api(tags = "科目服务")
@RestController
public class SubjectController extends BaseController {

	@Autowired
	private SubjectService subjectService;

	@ApiOperation(value = "根据科目编号查询科目")
	@GetMapping("/get/{id}")
	public Object get(@ApiParam(value = "科目编号", required = true) @PathVariable("id") Long id) {
		return succeed(subjectService.get(id));
	}

	@ApiOperation(value = "分页查询科目列表")
	@GetMapping("/queryPage")
	public Object queryPage(SubjectQueryInfo queryInfo) {
		return succeed(subjectService.queryPage(queryInfo));
	}

	@ApiOperation(value = "分页查询科目树状列表")
	@GetMapping("/queryPageTree")
	public Object queryPageTree(SubjectQueryInfo queryInfo) {
		return succeed(subjectService.queryPageTree(queryInfo));
	}

/***
     * 获取科目
     * @author liweifan
     * @updateTime 2022/3/21 17:21
     * @return: com.yonge.cooleshow.common.entity.HttpResponseResult<java.util.List<com.yonge.cooleshow.biz.dal.vo.SubjectSelectVo>>
     */
    public HttpResponseResult<List<SubjectSelectVo>> subjectSelect(){
        List<SubjectSelectVo> subjectSelect = subjectService.subjectSelect();
        return succeed(subjectSelect);
    }
}
